src/base/cs_time_plot.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
cs_time_plot.h File Reference
`#include "cs_base.h"`
Include dependency graph for cs_time_plot.h:

Go to the source code of this file.

## Enumerations
enum | cs_time_plot_format_t { CS_TIME_PLOT_DAT, CS_TIME_PLOT_CSV }

## Functions
void | tppini (const cs_int_t *tplnum, const char *tplnam, const char *tplpre, const cs_int_t *tplfmt, const cs_int_t *idtvar, const cs_int_t *ntflsh, const cs_real_t *wtflsh, const cs_int_t *nprb, const cs_int_t *lstprb, const cs_real_t *xyzprb, const cs_int_t *lnam, const cs_int_t *lpre CS_ARGF_SUPP_CHAINE)
void | tpsini (const cs_int_t *tplnum, const char *tplnam, const char *tplpre, const cs_int_t *tplfmt, const cs_int_t *idtvar, const cs_int_t *ntflsh, const cs_real_t *wtflsh, const cs_int_t *nstru, const cs_real_t *xmstru, const cs_real_t *xcstru, const cs_real_t *xkstru, const cs_int_t *lnam, const cs_int_t *lpre CS_ARGF_SUPP_CHAINE)
void | tplend (const cs_int_t *tplnum, const cs_int_t *tplfmt)
void | tplwri (const cs_int_t *tplnum, const cs_int_t *tplfmt, const cs_int_t *nprb, const cs_int_t *ntcabs, const cs_real_t *ttcabs, const cs_real_t *valprb)
void | tplnbr (cs_int_t *ntpl)
cs_time_plot_t * | cs_time_plot_init_probe (const char *plot_name, const char *file_prefix, cs_time_plot_format_t format, bool use_iteration, double flush_wtime, int n_buffer_steps, int n_probes, const int *probe_list, const cs_real_t probe_coords[])
cs_time_plot_t * | cs_time_plot_init_struct (const char *plot_name, const char *file_prefix, cs_time_plot_format_t format, bool use_iteration, double flush_wtime, int n_buffer_steps, int n_structures, const cs_real_t mass_matrixes[], const cs_real_t damping_matrixes[], const cs_real_t stiffness_matrixes[])
void | cs_time_plot_finalize (cs_time_plot_t **p)
void | cs_time_plot_vals_write (cs_time_plot_t *p, int tn, double t, int n_vals, const cs_real_t vals[])

## Enumeration Type Documentation

enum cs_time_plot_format_t

Enumerator
CS_TIME_PLOT_DAT |
CS_TIME_PLOT_CSV |

## Function Documentation

void cs_time_plot_finalize | ( | cs_time_plot_t ** | p | ) |

cs_time_plot_t* cs_time_plot_init_probe | ( | const char * | plot_name,
|  | const char * | file_prefix,
|  | cs_time_plot_format_t | format,
|  | bool | use_iteration,
|  | double | flush_wtime,
|  | int | n_buffer_steps,
|  | int | n_probes,
|  | const int * | probe_list,
|  | const cs_real_t | probe_coords[]
| ) |  |

cs_time_plot_t* cs_time_plot_init_struct | ( | const char * | plot_name,
|  | const char * | file_prefix,
|  | cs_time_plot_format_t | format,
|  | bool | use_iteration,
|  | double | flush_wtime,
|  | int | n_buffer_steps,
|  | int | n_structures,
|  | const cs_real_t | mass_matrixes[],
|  | const cs_real_t | damping_matrixes[],
|  | const cs_real_t | stiffness_matrixes[]
| ) |  |

void cs_time_plot_vals_write | ( | cs_time_plot_t * | p,
|  | int | tn,
|  | double | t,
|  | int | n_vals,
|  | const cs_real_t | vals[]
| ) |  |

void tplend | ( | const cs_int_t * | tplnum,
|  | const cs_int_t * | tplfmt
| ) |  |

void tplnbr | ( | cs_int_t * | ntpl | ) |

void tplwri | ( | const cs_int_t * | tplnum,
|  | const cs_int_t * | tplfmt,
|  | const cs_int_t * | nprb,
|  | const cs_int_t * | ntcabs,
|  | const cs_real_t * | ttcabs,
|  | const cs_real_t * | valprb
| ) |  |

void tppini | ( | const cs_int_t * | tplnum,
|  | const char * | tplnam,
|  | const char * | tplpre,
|  | const cs_int_t * | tplfmt,
|  | const cs_int_t * | idtvar,
|  | const cs_int_t * | ntflsh,
|  | const cs_real_t * | wtflsh,
|  | const cs_int_t * | nprb,
|  | const cs_int_t * | lstprb,
|  | const cs_real_t * | xyzprb,
|  | const cs_int_t * | lnam,
|  | const cs_int_t *lpre | CS_ARGF_SUPP_CHAINE
| ) |  |

void tpsini | ( | const cs_int_t * | tplnum,
|  | const char * | tplnam,
|  | const char * | tplpre,
|  | const cs_int_t * | tplfmt,
|  | const cs_int_t * | idtvar,
|  | const cs_int_t * | ntflsh,
|  | const cs_real_t * | wtflsh,
|  | const cs_int_t * | nstru,
|  | const cs_real_t * | xmstru,
|  | const cs_real_t * | xcstru,
|  | const cs_real_t * | xkstru,
|  | const cs_int_t * | lnam,
|  | const cs_int_t *lpre | CS_ARGF_SUPP_CHAINE
| ) |  |